低危 GNU Bash 4.0 - 'ls' Control Character Command Injection

CVE编号

CVE-2010-0002

利用情况

暂无

补丁情况

N/A

披露时间

2010-01-15 07:30:00
漏洞描述
The /etc/profile.d/60alias.sh script in the Mandriva bash package for Bash 2.05b, 3.0, 3.2, 3.2.48, and 4.0 enables the --show-control-chars option in LS_OPTIONS, which allows local users to send escape sequences to terminal emulators, or hide the existence of a file, via a crafted filename.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 gnu bash 2.05 -
运行在以下环境
应用 gnu bash 3.0 -
运行在以下环境
应用 gnu bash 3.2 -
运行在以下环境
应用 gnu bash 3.2.48 -
运行在以下环境
应用 gnu bash 4.0 -
CVSS3评分
2.1
  • 攻击路径
    本地
  • 攻击复杂度
  • 权限要求
  • 影响范围
    N/A
  • 用户交互
  • 可用性
    部分地
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
阿里云安全产品覆盖情况